<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<AssemblyVersion>1.0.0.0</AssemblyVersion>
		<Authors>Preetisagar Parida, Kishor Tripathy</Authors>
		<Company>Odiware Technologies</Company>
		<Product>OnlineAssessment Web API</Product>
		<OutputType>Exe</OutputType>
		<AssemblyName>API.Bucket</AssemblyName>
		<RootNamespace>API.Bucket</RootNamespace>
		<Platforms>AnyCPU;x86</Platforms>
		<UserSecretsId>ca763823-e93a-47d8-a5f0-5822278ae5bf</UserSecretsId>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
		<DockerfileContext>..\..</DockerfileContext>
		<DockerComposeProjectPath>..\..\docker-compose.dcproj</DockerComposeProjectPath>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DebugType>full</DebugType>
		<DebugSymbols>true</DebugSymbols>
		<OutputPath>bin</OutputPath>
		<NoWarn>1701;1702;1591</NoWarn>
		<DocumentationFile>bin\netcoreapp3.1\OnlineAssessment.xml</DocumentationFile>
		<DefineConstants>DEBUG;TRACE</DefineConstants>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
		<DebugType>full</DebugType>
		<DebugSymbols>true</DebugSymbols>
		<OutputPath>bin</OutputPath>
		<NoWarn>1701;1702;1591</NoWarn>
		<DocumentationFile>bin\netcoreapp3.1\OnlineAssessment.xml</DocumentationFile>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<DebugType>none</DebugType>
		<DebugSymbols>false</DebugSymbols>
		<OutputPath>bin</OutputPath>
		<DefineConstants>DEBUG;TRACE</DefineConstants>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
		<DebugType>none</DebugType>
		<DebugSymbols>false</DebugSymbols>
		<OutputPath>bin</OutputPath>
	</PropertyGroup>

	<ItemGroup>
		<Compile Remove="Logs\**" />
		<Content Remove="Logs\**" />
		<EmbeddedResource Remove="Logs\**" />
		<None Remove="Logs\**" />
	</ItemGroup>


	<ItemGroup>
		<None Remove="Content\custom.css" />
		<None Remove="Content\custom.js" />
	</ItemGroup>

	<ItemGroup>
		<EmbeddedResource Include="Content\custom.css">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</EmbeddedResource>
		<EmbeddedResource Include="Content\custom.js">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</EmbeddedResource>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper" Version="13.0.1" />
		<PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
		<PackageReference Include="AWSSDK.Core" Version="3.7.400.77" />
		<PackageReference Include="AWSSDK.Extensions.NETCore.Setup" Version="3.7.301" />
		<PackageReference Include="AWSSDK.S3" Version="3.7.411.5" />
		<PackageReference Include="FluentValidation" Version="11.11.0" />
		<PackageReference Include="FluentValidation.AspNetCore" Version="11.3.0" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="9.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="9.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="5.1.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning.ApiExplorer" Version="5.1.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="9.0.0">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.0">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.Extensions.PlatformAbstractions" Version="1.1.0" />
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.21.0" />
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="9.0.0" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="7.2.0" />
		<PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="7.2.0" />
	</ItemGroup>

	<ItemGroup>
		<Folder Include="files\" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\_layers\common\Common.csproj" />
		<ProjectReference Include="..\_layers\data\Data.csproj" />
		<ProjectReference Include="..\_layers\domain\Domain.csproj" />
	</ItemGroup>

	<ItemGroup>
		<None Update="Content\logo.jpg">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>


</Project>
